Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.simpledb.model
Class GetAttributesRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.simpledb.model.GetAttributesRequest

    public class GetAttributesRequest

extends AmazonWebServiceRequest

Container for the parameters to the `GetAttributes operation`.

Returns all of the attributes associated with the specified item. Optionally, the attributes returned can be limited to one or more attributes by specifying an attribute name parameter.

If the item does not exist on the replica that was accessed for this operation, an empty set is returned. The system does not return an error as it cannot guarantee the item does not exist on other replicas.

NOTE: If GetAttributes is called without being passed any attribute names, all the attributes for the item are returned.

See Also:
  `AmazonSimpleDB.getAttributes(GetAttributesRequest)`

Constructor Summary
`GetAttributesRequest()` Default constructor for a new GetAttributesRequest object.
`GetAttributesRequest(String domainName, String itemName)` Constructs a new GetAttributesRequest object.

Method Summary
`List<String>` | `getAttributeNames()` The names of the attributes.
`Boolean` | `getConsistentRead()` Determines whether or not strong consistency should be enforced when data is read from SimpleDB.
`String` | `getDomainName()` The name of the domain in which to perform the operation.
`String` | `getItemName()` The name of the item.
`Boolean` | `isConsistentRead()` Determines whether or not strong consistency should be enforced when data is read from SimpleDB.
`void` | `setAttributeNames(Collection<String> attributeNames)` The names of the attributes.
`void` | `setConsistentRead(Boolean consistentRead)` Determines whether or not strong consistency should be enforced when data is read from SimpleDB.
`void` | `setDomainName(String domainName)` The name of the domain in which to perform the operation.
`void` | `setItemName(String itemName)` The name of the item.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`GetAttributesRequest` | `withAttributeNames(Collection<String> attributeNames)` The names of the attributes.
`GetAttributesRequest` | `withAttributeNames(String... attributeNames)` The names of the attributes.
`GetAttributesRequest` | `withConsistentRead(Boolean consistentRead)` Determines whether or not strong consistency should be enforced when data is read from SimpleDB.
`GetAttributesRequest` | `withDomainName(String domainName)` The name of the domain in which to perform the operation.
`GetAttributesRequest` | `withItemName(String itemName)` The name of the item.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetAttributesRequest

    public GetAttributesRequest()

  Default constructor for a new GetAttributesRequest object. Callers should use the setter or fluent setter (with...) methods to initialize this object after creating it.

### GetAttributesRequest

    public GetAttributesRequest(String domainName,
                                String itemName)

  Constructs a new GetAttributesRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

  Parameters:
    `domainName` - The name of the domain in which to perform the operation.
    `itemName` - The name of the item.

Method Detail

### getDomainName

    public String getDomainName()

  The name of the domain in which to perform the operation.

  Returns:
    The name of the domain in which to perform the operation.

### setDomainName

    public void setDomainName(String domainName)

  The name of the domain in which to perform the operation.

  Parameters:
    `domainName` - The name of the domain in which to perform the operation.

### withDomainName

    public GetAttributesRequest withDomainName(String domainName)

  The name of the domain in which to perform the operation.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `domainName` - The name of the domain in which to perform the operation.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getItemName

    public String getItemName()

  The name of the item.

  Returns:
    The name of the item.

### setItemName

    public void setItemName(String itemName)

  The name of the item.

  Parameters:
    `itemName` - The name of the item.

### withItemName

    public GetAttributesRequest withItemName(String itemName)

  The name of the item.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `itemName` - The name of the item.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAttributeNames

    public List<String> getAttributeNames()

  The names of the attributes.

  Returns:
    The names of the attributes.

### setAttributeNames

    public void setAttributeNames(Collection<String> attributeNames)

  The names of the attributes.

  Parameters:
    `attributeNames` - The names of the attributes.

### withAttributeNames

    public GetAttributesRequest withAttributeNames(String... attributeNames)

  The names of the attributes.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `attributeNames` - The names of the attributes.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withAttributeNames

    public GetAttributesRequest withAttributeNames(Collection<String> attributeNames)

  The names of the attributes.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `attributeNames` - The names of the attributes.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### isConsistentRead

    public Boolean isConsistentRead()

  Determines whether or not strong consistency should be enforced when data is read from SimpleDB. If `true`, any data previously written to SimpleDB will be returned. Otherwise, results will be consistent eventually, and the client may not see data that was written immediately before your read.

  Returns:
    Determines whether or not strong consistency should be enforced when data is read from SimpleDB. If `true`, any data previously written to SimpleDB will be returned. Otherwise, results will be consistent eventually, and the client may not see data that was written immediately before your read.

### setConsistentRead

    public void setConsistentRead(Boolean consistentRead)

  Determines whether or not strong consistency should be enforced when data is read from SimpleDB. If `true`, any data previously written to SimpleDB will be returned. Otherwise, results will be consistent eventually, and the client may not see data that was written immediately before your read.

  Parameters:
    `consistentRead` - Determines whether or not strong consistency should be enforced when data is read from SimpleDB. If `true`, any data previously written to SimpleDB will be returned. Otherwise, results will be consistent eventually, and the client may not see data that was written immediately before your read.

### withConsistentRead

    public GetAttributesRequest withConsistentRead(Boolean consistentRead)

  Determines whether or not strong consistency should be enforced when data is read from SimpleDB. If `true`, any data previously written to SimpleDB will be returned. Otherwise, results will be consistent eventually, and the client may not see data that was written immediately before your read.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `consistentRead` - Determines whether or not strong consistency should be enforced when data is read from SimpleDB. If `true`, any data previously written to SimpleDB will be returned. Otherwise, results will be consistent eventually, and the client may not see data that was written immediately before your read.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getConsistentRead

    public Boolean getConsistentRead()

  Determines whether or not strong consistency should be enforced when data is read from SimpleDB. If `true`, any data previously written to SimpleDB will be returned. Otherwise, results will be consistent eventually, and the client may not see data that was written immediately before your read.

  Returns:
    Determines whether or not strong consistency should be enforced when data is read from SimpleDB. If `true`, any data previously written to SimpleDB will be returned. Otherwise, results will be consistent eventually, and the client may not see data that was written immediately before your read.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.